/*=======================================
=            Scripts propios            =
=======================================*/


function setGravatar(img, email)
{
	$.post( "/gravatar/get-avatar", { email: email })
	.done(function( data ) {
		img.attr('src', data);
	});
}




/**
 * Agregamos la función de hacer submit en algún formulario.
 * Solo aplica a los elementos con este atributo: data-click="submit"
 * data-target nos indica a que formulario hay que hacer submit
 */
$('[data-click="submit"]').click(function(event) {
	var $this   = $(this)
	if ($this.is('a')) e.preventDefault()
	$target = $this.attr('data-target') || '';
	if($target != '') {
		$($target).submit();
	}
});